Bug 146753 - unable to unload iptables modules while NetworkManager loaded
unable to unload iptables modules while NetworkManager loaded
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: 149993 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 05:48 EST by jeroen
Modified: 2008-02-05 01:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 01:20:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jeroen 2005-02-01 05:48:35 EST
While NetworkManager is running, "service iptables stop" hangs on
unloading the iptables module(s). If i stop the NetworkManager using
"service NetworkManager stop" while it's hanging, it continues and
OKs. If i don't, it hangs indefinitely.

Using kernel 2.6.10-1.741_FC3 and
Comment 1 Jay Turner 2005-03-01 07:37:30 EST
Bug 112630 is the same problem, but reported against kernel and I'm not really
sure where the problem is, so leaving both bugs open with pointers to one another.
Comment 2 Dan Williams 2005-03-01 09:16:57 EST
What causes a module to get reffed or unreffed?  Does holding an fd from a
socket on the network device cause it to get reffed?  I've also seen cases where
network devices are not completely freed on shutdown of the machine, so perhaps
NM is holding some reference to them.  But I'm not sure what counts as a
Comment 3 Phil Oester 2005-03-04 18:37:21 EST
How many nics are in the box, and of what type?
Comment 4 jeroen 2005-03-05 03:08:36 EST
Dell Latitude D600. One ethernet card & one wireless:

02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705M
Gigabit Ethernet (rev 01)
02:03.0 Network controller: Intel Corp. PRO/Wireless 2200BG (rev 05)
Comment 5 Dan Williams 2005-04-06 12:57:34 EDT
*** Bug 149993 has been marked as a duplicate of this bug. ***
Comment 6 Dan Williams 2005-04-06 12:58:29 EDT
I believe I have fixed this in CVS.  Will push updates when that is confirmed.
Comment 7 Matthew Miller 2006-07-10 19:30:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 petrosyan 2008-02-05 01:20:06 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.